MKFS(8)

NOME
mkfs - constrói um sistema de arquivos Linux

SINOPSE

mkfs [options] [-t type] [fs-options] device [size]

DESCRIÇÃO

This mkfs frontend is deprecated in favour of filesystem specific mkfs.<type> utils.

mkfs is used to build a Linux filesystem on a device, usually a hard disk partition. The device argument is either the device name (e.g., /dev/hda1, /dev/sdb2), or a regular file that shall contain the filesystem. The size argument is the number of blocks to be used for the filesystem.

O status de saída retornado por mkfs é 0 em caso de sucesso e 1 em caso de falha.

Na verdade, mkfs é simplesmente um front-end para os vários construtores de sistema de arquivos (mkfs.tipo) disponíveis no Linux. O construtor específico do sistema de arquivos é pesquisado apenas por meio da configuração do ambiente PATH. Consulte as páginas de manual do construtor específicas do sistema de arquivos para obter mais detalhes.

OPÇÕES

-t, --type tipo
    Especifica o tipo do sistema de arquivos a ser construído. Se não for especificado, o tipo de sistema de arquivos padrão (atualmente ext2) é usado.

opções-sist.arq.
    Opções específicas do sistema de arquivos a serem passadas para o construtor do sistema de arquivos real.

-V, --verbose
    Produz uma saída detalhada, incluindo todos os comandos específicos do sistema de arquivos que são executados. Especificar esta opção mais de uma vez inibe a execução de quaisquer comandos específicos do sistema de arquivos. Isso é realmente útil apenas para teste.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Display version and exit. (Option -V will display version information only when it is the only parameter, otherwise it will work as --verbose.)

BUGS

Todas as opções genéricas devem ser passadas antes e não ser combinadas com opções específicas do sistema de arquivos. Alguns programas específicos do sistema de arquivos não detectam automaticamente o tamanho do dispositivo e exigem que o parâmetro tamanho seja especificado.

AUTORES

A página de manual foi descaradamente adaptada da versão do Remy Card para o sistema de arquivos ext2.

VEJA TAMBÉM

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

RELATANDO PROBLEMAS

For bug reports, use the

DISPONIBILIDADE

O comando mkfs é parte do pacote util-linux que pode ser baixado do